Package org.kapott.hbci.GV_Result

# Class GVRTermUebList

java.lang.Object
org.kapott.hbci.GV_Result.HBCIJobResultImpl
org.kapott.hbci.GV_Result.GVRTermUebList

All Implemented Interfaces:
  `Serializable`, `HBCIJobResult`

public final class GVRTermUebList extends HBCIJobResultImpl
Ergebnisse der Abfrage noch anstehender terminierter Überweisungen. Jeder noch anstehende terminierte Überweisungsauftrag wird in einem separaten Objekt gespeichert.

See Also:
  - Serialized Form

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`GVRTermUebList.Entry`
Informationen zu einem einzelnen terminierten Überweisungsauftrag

## Field Summary

### Fields inherited from class org.kapott.hbci.GV_Result.HBCIJobResultImpl

`globStatus, jobStatus`

## Constructor Summary

Constructors
Constructor
Description
`GVRTermUebList()`

## Method Summary

Modifier and Type
Method
Description
`void`
`addEntry(GVRTermUebList.Entry e)`
`GVRTermUebList.Entry[]`
`getEntries()`
Gibt ein Array mit gefundenen noch anstehenden Terminüberweisungen zurück
`String`
`toString()`

### Methods inherited from class org.kapott.hbci.GV_Result.HBCIJobResultImpl

`getDialogId, getGlobStatus, getJobId, getJobStatus, getMsgNum, getParentJob, getPassport, getResultData, getRetNumber, getRetVal, getSegNum, isOK, setParentJob, storeResult`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### GVRTermUebList

public GVRTermUebList()

## Method Details

### addEntry

public void addEntry(GVRTermUebList.Entry e)

### getEntries

public GVRTermUebList.Entry[] getEntries()
Gibt ein Array mit gefundenen noch anstehenden Terminüberweisungen zurück

Returns:
  Array, wobei jedes Element Daten über eine einzelne Terminüberweisung enthält

### toString

public String toString()

Overrides:
  `toString` in class `HBCIJobResultImpl`